<?
if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>512){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_post` WHERE `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' AND `time` > '".($time-300)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);
if(isset($_POST['privat']))
{
   $priv=abs(intval($_POST['privat']));
}else{
   $priv=0;
}
mysql_query("INSERT INTO `chat_post` (`id_user`, `time`, `msg`, `room`, `privat`) values('$user[id]', '$time', '$msg', '$room[id]', '$priv')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение успешно добавлено');
}
}
if ($room['umnik']=='1')include 'inc/umnik.php';
if ($room['shutnik']=='1')include 'inc/shutnik.php';
err();
aut(); // форма авторизации
echo "<a href='/chat/room/$room[id]/".rand(1000,9999)."/'>Обновить</a> / \n";
echo "<a href='http://$_SERVER[HTTP_HOST]/smiles'>Смайлы</a><br />\n";
if (isset($user))
{
echo "<form method=\"post\" name='message' action=\"/chat/room/$room[id]/".rand(1000,9999)."/\">\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}

echo "<div class='p_m'>";
echo "В комнате";
$sql = mysql_query("SELECT `id_user` FROM `chat_who` WHERE `room` = '$room[id]'");
if ($sql==0){echo "Никого нет\n";}

while($us = mysql_fetch_assoc($sql))
{
$login=mysql_fetch_array(mysql_query("select `nick`,`pol`,`ncolor` from `user` where `id`='".$us['id_user']."' limit 1;"));

echo ":<span style=\"color:$login[ncolor]\"> $login[nick] </span> ";

}

echo'</div>';

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_post` WHERE `room` = '$room[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет сообщений\n";
echo "  </td>\n";
echo "   </tr>\n";
}
$q=mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND (`privat`='0' OR `privat`='".$user['id']."') ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
if ($post['umnik_st']==0 && $post['shutnik']==0)
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));


if(@$num==1){ 
echo "<div class='rowdown'>"; 
@$num=0;
}else{ 
echo "<div class='rowup'>"; 
@$num=1;}


if ($post['umnik_st']==0 && $post['shutnik']==0)
echo "<img src='/style/themes/$set[set_them]/user/$ank[pol].png' alt='' /> \n";
elseif ($post['shutnik']==1)
echo "<img src='/style/themes/$set[set_them]/chat/14/shutnik.png' alt='' /> \n";
elseif ($post['umnik_st']!=0)
echo "<img src='/style/themes/$set[set_them]/chat/14/umnik.png' alt='' /> \n";


if($post['privat']==$user['id'])
{
   $Te6e_cyka='<font color="darkred">[!п]</font>';
}else{
   $Te6e_cyka='';
}
if ($post['umnik_st']==0 && $post['shutnik']==0)
echo online($ank['id']).adm($ank['id'])."<a href='/chat/room/$room[id]/".rand(1000,9999)."/$ank[id]/'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> $Te6e_cyka (".vremja($post['time']).")\n";
elseif ($post['umnik_st']!=0)
echo "Умник (".vremja($post['time']).")\n";
elseif ($post['shutnik']==1)
echo "Шутник (".vremja($post['time']).")\n";
echo "<span style=\"color:$ank[color]\">\n";
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."\n";
echo "</span>\n";
if(isset($user) && $user['level']>3){
echo "<a href='/chat/delete.php?id=$post[id]'><font color = orange>DEL</font></a><br />\n";
}
if (isset($user) && $user['id'] == 6){
print '<br/>Правильный ответ: '.@$umnik_vopros['otvet'];}
echo "</div>"; 
}
if ($k_page>1)str("/chat/room/$room[id]/".rand(1000,9999)."/?",$k_page,$page); // Вывод страниц
?>